accrue.analysis.domination

## Class DominationAnalysisUtil

- java.lang.Object
- - accrue.analysis.interprocanalysis.AnalysisUtil<Unit>
  - - accrue.analysis.domination.DominationAnalysisUtil

-     public class DominationAnalysisUtil
      extends AnalysisUtil<Unit>

- - ### Field Summary

    - ### Fields inherited from class accrue.analysis.interprocanalysis.AnalysisUtil

      `extInfo, instanceInitializersChecked, workQueue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DominationAnalysisUtil(WorkQueue<Unit> workQueue, AnalysisUnit currentAnalysisUnit, AccrueExtensionInfo extInfo, DominationPass.Kind kind)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExitMap<Unit>` | `analyze(polyglot.ast.CodeNode n, Unit before)` Analyze the given code with the given current analysis results
    `void` | `call(polyglot.types.ConstructorInstance ci, polyglot.ast.New n)`
    `void` | `call(polyglot.types.MethodInstance mi, polyglot.ast.Call n)`
    `void` | `constructorCall(polyglot.types.ConstructorInstance ci, polyglot.ast.ConstructorCall n)`

    - ### Methods inherited from class accrue.analysis.interprocanalysis.AnalysisUtil

      `abstractLocations, abstractLocations, abstractLocations, abstractLocations, abstractLocations, abstractLocations, abstractLocations, abstractLocations, abstractLocations, abstractLocationsForArray, abstractLocationsForArray, abstractLocationsForArray, abstractLocationsImplicitTarget, analysisName, analyzeInitializers, analyzeStaticInitializers, createExitMap, currentAnalysisUnit, currentClass, currentContext, extensionInfo, instanceInitializers, leq, maybeRecursiveCall, pointsTo, pointsTo, pointsTo, pointsTo, pointsTo, pointsTo, pointsTo, pointsTo, pointsTo, pointsToGraph, pointsToThis, process, recordMissingCode, typeSystem, upperBound, workQueue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DominationAnalysisUtil

          public DominationAnalysisUtil(WorkQueue<Unit> workQueue,
                                AnalysisUnit currentAnalysisUnit,
                                AccrueExtensionInfo extInfo,
                                DominationPass.Kind kind)

  - ### Method Detail

    - #### analyze

          public ExitMap<Unit> analyze(polyglot.ast.CodeNode n,
                              Unit before)
                                throws polyglot.types.SemanticException

      Description copied from class: `AnalysisUtil`
      Analyze the given code with the given current analysis results
      Specified by:
        `analyze` in class `AnalysisUtil<Unit>`
      Parameters:
        `n` - Code to analyze
        `before` - analysis result before analyzing the given code
      Returns:
        Map from exit condition to analysis result
      Throws:
        `polyglot.types.SemanticException` - thrown if the analysis fails

    - #### call

          public void call(polyglot.types.MethodInstance mi,
                  polyglot.ast.Call n)

    - #### call

          public void call(polyglot.types.ConstructorInstance ci,
                  polyglot.ast.New n)

    - #### constructorCall

          public void constructorCall(polyglot.types.ConstructorInstance ci,
                             polyglot.ast.ConstructorCall n)